<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProductionRecordsSupervisorsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pd_production_records_supervisor', function (Blueprint $table) {
            $table->id();
            $table->integer('customer_order_plan_data_id');
            $table->date('date');
            $table->integer('machinery_id');
            $table->integer('product_primary_id');
            $table->double('hour');
            $table->string('employee_id',45);
            $table->string('refno',45);
            $table->double('quantity',45);
            $table->string('remark',100);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('production_records_supervisors');
    }
}
